# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-django-federated-login
%define fedora 19
%global pkgname django-federated-login

Name:           python-module-django-federated-login
Version:        0.3.1
Release:        alt1_2
Summary:        Provides federated logins to django projects

Group:          Development/Python
License:        MIT
URL:            http://github.com/Bouke/django-federated-login
Source0:        http://pypi.python.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
BuildRequires:  python-module-openid

%if 0%{?fedora} >= 18
BuildRequires: python-module-django python-module-django-dbbackend-mysql python-module-django-dbbackend-psycopg2 python-module-django-dbbackend-sqlite3 python-module-django-mod_python
%else
BuildRequires: python-module-django python-module-django-dbbackend-mysql python-module-django-dbbackend-psycopg2 python-module-django-dbbackend-sqlite3 python-module-django-mod_python
%endif
Source44: import.info

%description

Django Federated Login provides an authentication bridge between 
Django projects and OpenID-enabled identity providers. The bridge is 
pre-wired to be used with a single Google Apps domain, but could be 
extended to be linked with other OpenID providers also. It is different 
from other OpenID consumers as this consumer only allows connecting to
a pre-defined identity provider.

The provided backend matches users based on the e-mail address returned 
from the identity provider. If no matching user could be found, a user 
account can optionally be created.

%prep
%setup -q -n  %{pkgname}-%{version}

%build
python setup.py build

%install
python setup.py install --skip-build --root %{buildroot}

%check
python setup.py test
 
%files
%doc README.rst LICENSE.txt
%{python_sitelibdir_noarch}/federated_login
%{python_sitelibdir_noarch}/django_federated_login-*.egg-info

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.1-alt1_2
- update to new release by fcimport

* Tue Jan 01 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.1-alt1_1
- initial fc import

